import 'package:petitbac/utils/tools.dart';

class Game {
  bool isRunning = false;

  Game({
    this.isRunning = false,
  });

  factory Game.createNull() {
    return Game();
  }

  factory Game.createNew() {
    return Game(
      isRunning: true,
    );
  }

  void stop() {
    isRunning = false;
  }

  @override
  String toString() {
    return 'Game(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      'isRunning': isRunning,
    };
  }

  void dump() {
    printlog(toString());
  }
}
