import 'package:flutter/material.dart';

import 'package:petitbac/ui/widgets/mini_game.dart';
import 'package:petitbac/ui/widgets/picked_category.dart';
import 'package:petitbac/ui/widgets/picked_letter.dart';

class GamePage extends StatelessWidget {
  const GamePage({super.key});

  @override
  Widget build(BuildContext context) {
    const double borderWidth = 8;

    return const Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        PickedLetter(
          backgroundColor: Colors.orange,
          borderWidth: borderWidth,
        ),
        SizedBox(height: 5),
        MiniGame(
          backgroundColor: Colors.blue,
          borderWidth: borderWidth,
        ),
        SizedBox(height: 5),
        PickedCategory(
          backgroundColor: Colors.green,
          borderWidth: borderWidth,
        ),
      ],
    );
  }
}
