import 'dart:async';
import 'dart:math' show Random;

class RandomPickLetter {
  RandomPickLetter();

  String? _letter;
  final random = Random();
  final String _chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';

  init() async {
    await letterFromLocalFile();
  }

  Future<void> letterFromLocalFile() async {
    _letter = _chars[random.nextInt(_chars.length)];
  }

  String get letter => (_letter != null) ? _letter.toString() : '';
}
